# getopt.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | option

## Defines

#define | _GETOPT_H 1
#define | no_argument 0
#define | required_argument 1
#define | optional_argument 2

## Functions

int | getopt ()
int | getopt_long ()
int | getopt_long_only ()
int | _getopt_internal ()

## Variables

char * | optarg
int | optind
int | opterr
int | optopt

## Define Documentation

#define _GETOPT_H 1

#define no_argument 0

#define optional_argument 2

#define required_argument 1

## Function Documentation

int _getopt_internal | ( |  | ) |

int getopt | ( |  | ) |

int getopt_long | ( |  | ) |

int getopt_long_only | ( |  | ) |

## Variable Documentation

char* optarg

int opterr

int optind

int optopt